summaryrefslogtreecommitdiff
path: root/fetch-pvr-omap/sgx-lib/postrm
diff options
context:
space:
mode:
Diffstat (limited to 'fetch-pvr-omap/sgx-lib/postrm')
-rwxr-xr-xfetch-pvr-omap/sgx-lib/postrm48
1 files changed, 46 insertions, 2 deletions
diff --git a/fetch-pvr-omap/sgx-lib/postrm b/fetch-pvr-omap/sgx-lib/postrm
index 4957116..ad6213e 100755
--- a/fetch-pvr-omap/sgx-lib/postrm
+++ b/fetch-pvr-omap/sgx-lib/postrm
@@ -1,5 +1,49 @@
-#!/bin/sh -e
+#!/bin/sh
+# postrm script for sgx-lib
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove)
+ ldconfig
+ ;;
+
+ purge)
+ ;;
+
+ upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+# Automatically added by dh_makeshlibs
+if [ "$1" = "remove" ]; then
+ ldconfig
+fi
+# End automatically added section
-rm -fr /usr/share/X11/xorg.conf.d/99-pvr.conf
exit 0